@media not all and (min-width: 1512px) {
}

@media not all and (min-width: 1280px) {
  :root {
    --wp--custom--wrapper--py: 80px !important;
  }

  /* --- POPUP --- */

  .popup-formulaire {
    width: 600px !important;
    padding: var(--wp--custom--primlitives--margin-padding-gap--60) !important;
  }

  .popup-formulaire .title-popup {
    font-size: 36px !important;
  }

  .popup-formulaire .text-popup {
    font-size: 24px !important;
  }
}

@media not all and (min-width: 1024px) {
  :root{
    --wp--custom--primlitives--margin-padding-gap--80: 40px !important;

    --wp--custom--primlitives--typographie--56: 44px !important;
    --wp--custom--primlitives--typographie--44: 36px !important;
    --wp--custom--primlitives--typographie--32: 28px !important;
    --wp--custom--primlitives--typographie--34: 24px !important;
  }
  /* --- POPUP --- */

  .popup-formulaire {
    padding: var(--wp--custom--primlitives--margin-padding-gap--40) !important;
  }
}

@media not all and (min-width: 768px) {
  :root{
    --wp--custom--primlitives--margin-padding-gap--80: 20px !important;
  }

  /* --- POPUP --- */

  .popup-formulaire {
    width: 500px !important;
  }

  .popup-formulaire .title-popup {
    font-size: 32px !important;
  }

  .popup-formulaire .text-popup {
    font-size: 20px !important;
  }
}

@media not all and (min-width: 640px) {
  :root{
    --wp--custom--primlitives--typographie--56: 32px !important;
    --wp--custom--primlitives--typographie--44: 28px !important;
    --wp--custom--primlitives--typographie--34: 24px !important;
    --wp--custom--primlitives--typographie--24: 18px !important;
  }

  .menu-menu-container ul {
    font-size: 20px !important;
  }

  /* --- POPUP --- */

  .popup-formulaire {
    width: 90% !important;
    padding: var(--wp--custom--primlitives--margin-padding-gap--32) !important;
  }

  .popup-formulaire .title-popup {
    font-size: 28px !important;
  }
}

/* --------------- FIN RESPONSIVE ---------------- */

/* ------------------ VARIABLE ------------------- */

:root {
  --px: var(--wp--custom--primlitives--margin-padding-gap--80);
  --py: var(--wp--custom--primlitives--margin-padding-gap--100);
  --gap: var(--wp--custom--wrapper--gap);

  --h1: var(--wp--custom--primlitives--typographie--56);
  --h2: var(--wp--custom--primlitives--typographie--44);
  --h3: var(--wp--custom--primlitives--typographie--32);
  --callout: var(--wp--custom--primlitives--typographie--34);
  --callout-b: var(--wp--custom--primlitives--typographie--24);

  --primary-color : var(--wp--custom--primlitives--colors--color-1--600);
}

/* ------------------ GENERAL -------------------- */

html {
  overflow-x: hidden;
  background-color: var(--wp--custom--primlitives--colors--b-w--white);
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 177px;
}

.callout{
  font-size: var(--wp--custom--primlitives--typographie--34);
  line-height: 34px;
}

.callout-b{
  font-family: var(--wp--preset--font-family--tertiary);
  font-size: var(--wp--custom--primlitives--typographie--24);
  line-height: 34px;
}

.button-filled-light,
.button-filled,
.button-outlined-light,
.button-outlined {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 8px 12px;
  gap: 10px;
  border-radius: 6px;
  font-family: var(--wp--preset--font-family--primary);
  font-weight: 500;
  cursor: pointer;
}

.button-filled-light{
  background-color: var(--wp--custom--primlitives--colors--b-w--white);
  border: solid 1px var(--wp--custom--primlitives--colors--b-w--white);
  color: var(--wp--custom--primlitives--colors--b-w--black);
}

.button-filled-light:hover {
  background: var(--wp--custom--primlitives--colors--b-w--black);
  border: solid 1px var(--wp--custom--primlitives--colors--b-w--black);
  color: var(--wp--custom--primlitives--colors--b-w--white);
}

.button-filled {
  background-color: var(--primary-color);
  border: solid 1px var(--primary-color);
  color: var(--wp--custom--primlitives--colors--b-w--black);
}

.button-filled:hover {
  background: var(--wp--custom--primlitives--colors--b-w--black);
  border: solid 1px var(--wp--custom--primlitives--colors--b-w--black);
  color: var(--wp--custom--primlitives--colors--b-w--white);
}

.button-outlined {
  background-color: transparent;
  border: solid 1px var(--wp--custom--primlitives--colors--b-w--black);
  color: var(--wp--custom--primlitives--colors--b-w--black);
}

.button-outlined:hover {
  background: var(--primary-color);
  border: solid 1px var(--primary-color);
}

.button-outlined-light {
  background-color: transparent;
  border: solid 1px var(--wp--custom--primlitives--colors--b-w--white);
  color: var(--wp--custom--primlitives--colors--b-w--white);
}

.button-outlined-light:hover {
  background-color: var(--primary-color);
  border: solid 1px var(--primary-color);
  color: var(--wp--custom--primlitives--colors--b-w--black);
}

.arrow-button{
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 8px;
  order: 2;
  border-radius: 6px;
}

.button-filled .arrow-button,
.button-outlined-light:hover .arrow-button,
.button-outlined:hover .arrow-button{
  background: var(--wp--custom--primlitives--colors--b-w--black);
}

.button-outlined .arrow-button,
.button-outlined-light .arrow-button,
.button-filled:hover .arrow-button{
  background: var(--primary-color);
}

.button-filled-light .arrow-button{
  background: var(--primary-color);
}

.button-outlined:hover .arrow-button svg path,
.button-outlined-light:hover .arrow-button svg path{
  fill: var(--wp--custom--primlitives--colors--b-w--white);
}

.arrow-light{
    background: var(--wp--custom--primlitives--colors--b-w--black) !important;
}


.swiper-texte-desktop .swiper-texte{
  animation: 20s linear infinite swiper-text;
}

.swiper-texte p{
  white-space:nowrap !important;
}

@keyframes swiper-text {
  from {
    transform: translateX(0%);
  }

  to {
    transform: translateX(-100%);
  }
}

/* ----------------- PLAYER VIDEO ----------------- */

.video-hero {
  position: absolute;
  aspect-ratio: 21/9;
  left: 50% !important;
  top: 50% !important;
  transform: translatex(-50%) translateY(-50%) !important;
  width: auto !important;
  height: auto !important;
  min-width: 116% !important;
  min-height: 100% !important;
}

.filtre-video::after {
  position: absolute;
  content: "";
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--wp--custom--primlitives--opacity--black--opacity-05);
  pointer-events: none;
}

.filtre-img::after {
  position: absolute;
  content: "";
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--wp--custom--primlitives--opacity--white--opacity-09);
  opacity: 0.8;
  pointer-events: none;
}

/* ---------------- HEADER --------------- */

.menu-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  transition: background 0.3s ease-in-out;
}

html:not([data-scroll="0"]) .menu-header {
  background-color: var(--wp--custom--primlitives--colors--b-w--black);
}

.menu-header p:empty {
  display: none;
}

.menu-menu-container ul {
  display: flex;
  flex-direction: column;
  gap: 20px;
  color: var(--wp--custom--primlitives--colors--b-w--white);
  font-family: var(--wp--preset--font-family--primary);
  font-size: 28px;
  text-transform: uppercase;
  font-weight: 700;
  line-height: normal;
  z-index: 1000;
}

.picto-burger:hover,
.picto-close:hover {
  background: var(--wp--custom--primlitives--colors--b-w--black) !important;
  cursor: pointer;
}

.picto-burger:hover p,
.picto-close:hover p{
  color: var(--wp--custom--primlitives--colors--b-w--white) !important;
}

.swiper-menu {
    top: 0;
    left: 0;
    transform: translate(100%, 0%);
    position: fixed;
    pointer-events: none;
    transition: transform 1s ease-in-out;
    z-index: 200;
}

.swiper-menu.open {
    pointer-events: all;
    transform: translate(0%, 0%);
}

.menu-menu-container .menu-item{
  display: flex;
  align-items: center;
  gap: 10px;
  height: 41px;
}

.menu-menu-container .menu-item svg{
  display: none;
}

.menu-menu-container .menu-item:hover svg{
  display: block;
}

/* ---------------- SWIPER --------------- */

.swiper-slide .swiper-bg{
  transition: opacity 0.3s ease-in-out;
}

.swiper-slide:hover .swiper-bg{
  opacity: 1;
  pointer-events: all;
}

.swiper-button-prev,
.swiper-button-next{
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px 8px;
  order: 2;
  border-radius: 6px;
  background: var(--primary-color);
}

.swiper-button-prev svg,
.swiper-button-next svg{
  width: 100%;
  height: 100%;
}

.swiper-button-prev:hover,
.swiper-button-next:hover{
  background: var(--wp--custom--primlitives--colors--b-w--black);
}

.swiper-button-prev:hover svg path,
.swiper-button-next:hover svg path{
  fill: var(--wp--custom--primlitives--colors--b-w--white);
}

/* ---------------- FORMULAIRE --------------- */

.formulaire .wpforms-container {
  margin: unset !important;
}

.formulaire .wpforms-field-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: 16px;
  width: 100%;
}

.formulaire .wpforms-field {
  padding: unset;
  width: 100%;
}

.formulaire .wpforms-field input,
.formulaire .wpforms-field textarea,
.formulaire .wpforms-field-select select,
.formulaire .wpforms-field input::placeholder,
.formulaire .wpforms-field-required input::before,
.formulaire .wpforms-field-required input::after,
.formulaire .wpforms-field-required input,
.formulaire .wpforms-field .wpforms-uploader {
  background-color: transparent !important;
  border: 2px solid !important;
  border-color: var(--wp--custom--primlitives--colors--b-w--black) !important;
  color: var(--wp--custom--primlitives--colors--b-w--black) !important;
}

.formulaire .wpforms-field-required input::before,
.formulaire .wpforms-field-required li:not(.wpforms-selected) input::after {
  border: unset !important;
}

.formulaire .wpforms-field-checkbox .wpforms-field-required input[type=checkbox]:checked:after,
.formulaire .wpforms-field-radio .wpforms-field-required input[type=radio]:checked:after {
  border: 1px solid !important;
  left: calc(-4px + var(--wpforms-field-border-size, 1px));
  top: calc(-4px + var(--wpforms-field-border-size, 1px));
  transform: scale(0.5);
  height: var(--wpforms-field-size-checkbox-size);
  background-color: var(--wp--custom--primlitives--colors--b-w--black) !important;
}

.formulaire
  .wpforms-field-radio
  .wpforms-field-required
  .wpforms-selected
  input::after {
  background-color: var(--wp--custom--primlitives--colors--b-w--black) !important;
}

.formulaire .wpforms-field .wpforms-uploader,
.formulaire .wpforms-field-select select,
.formulaire .wpforms-field input,
.formulaire .wpforms-field textarea {
  max-width: 100%;
  border-radius: 0px !important;
}

.formulaire .wpforms-field textarea {
  height: 115px !important;
}

.formulaire .wpforms-field-required input::before,
.formulaire .wpforms-field-required input::after,
.formulaire .wpforms-field-required input {
  border-radius: 360px !important;
}

.formulaire .wpforms-field-label,
.formulaire .wpforms-field-label-inline {
  margin-bottom: 6px !important;
  font-family: var(--wp--preset--font-family--secondary);
  font-weight: 400;
  color: var(--wp--custom--primlitives--colors--b-w--black) !important;
  word-break: auto-phrase;
}

.formulaire .wpforms-field-large {
  padding: 10px 16px;
}

.formulaire .wpforms-required-label {
  display: none;
}

.formulaire .wpforms-submit-container {
  margin-top: 16px !important;
}

.formulaire .wpforms-field-checkbox .choice-1 input {
  align-self: center;
}

div.wpforms-container-full select {
  background-image:
    linear-gradient(45deg, transparent 50%, var(--wp--custom--primlitives--colors--b-w--black) 50%),
    linear-gradient(135deg, var(--wp--custom--primlitives--colors--b-w--black) 50%, transparent 50%);
}

.formulaire .wpforms-field .wpforms-uploader {
  border-style: solid !important;
  padding: 10px 15px !important;
  align-items: start !important;
  justify-content: center !important;
}

.formulaire .dz-message {
  justify-content: flex-start !important;
  align-items: flex-start !important;
  text-align: start !important;
}

.formulaire .dz-message span {
  font-family: var(--wp--preset--font-family--secondary);
  font-weight: 400;
  color: var(--wp--custom--primlitives--colors--b-w--black) !important;
}

.formulaire .dz-message svg {
  display: none;
}

.formulaire .wpforms-submit {
  height: auto !important;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 8px 12px !important;
  gap: 10px;
  border-radius: 6px;
  font-family: var(--wp--preset--font-family--primary);
  font-weight: 500;
  color: var(--wp--custom--primlitives--colors--b-w--black) !important;
  background: var(--wp--custom--primlitives--colors--b-w--white) !important;
}

.formulaire .wpforms-submit:hover {
  color: var(--wp--custom--primlitives--colors--b-w--white) !important;
  background: var(--wp--custom--primlitives--colors--b-w--black) !important;
}

.formulaire .wpforms-submit::after {
  content: url("/wp-content/uploads/2026/02/arrow-darck.svg");
  background: var(--primary-color);
  width: auto;
  height: auto;
  padding: 10px 8px;
  border-radius: 6px;
}
/* ----------- POP UP FORMULAIRE ------------- */

.popup-formulaire {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: var(--wp--custom--primlitives--colors--b-w--black);
  border-radius: 18px;
  color: var(--wp--custom--primlitives--colors--b-w--white);
  padding: 100px;
  gap: 26px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 900px;
  line-height: 1.2;
  text-align: center;
  z-index: 10000;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  pointer-events: none;
}

.popup-formulaire .title-popup {
  font-family: var(--wp--preset--font-family--primary);
  font-size: var(--wp--custom--primlitives--typographie--44);
  font-weight: 700;
}

.popup-formulaire .text-popup {
  font-weight: 400;
}

/* .popup-formulaire .button-popup {
} */

.popup-formulaire.active {
  opacity: 1;
  pointer-events: all;
}

.wpforms-confirmation-container-full {
  background: transparent !important;
  border: 1px solid var(--wp--preset--color--secondary) !important;
  border-radius: 6px !important;
  font-family: var(--wp--preset--font-family--secondary);
}

.wpforms-confirmation-container-full p {
  color: var(--wp--custom--primlitives--colors--b-w--black) !important;
}

/* -------------------- FOOTER NETDEV ---------------- */

.netdev-footer {
  background-color: var(--wp--custom--primlitives--colors--b-w--black) !important;
}

.netdev-footer,
.netdev-footer .netdev-footer-content .netdev-footer-text a {
  color: var(--wp--custom--primlitives--colors--b-w--white) !important;
}

.netdev-footer .logo,
.netdev-footer .netdev-footer-content .netdev-footer-text a {
  opacity: unset !important;
}

/* ---------------------- MENTIONS LEGALES --------------------- */

.netdev-mentions-legales h2 {
  margin-top: 32px;
  margin-bottom: 20px;
}

.netdev-mentions-legales a {
  text-decoration: underline;
}
